function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useEffect, useMemo } from "react";
import { Form } from "antd";
import FilterButton from "./components/FilterButton";
import QuickFilter from "./components/QuickFilter";
var formFiltersPrefix = "filters";
var Filter = function Filter(props) {
  var filter = props.filter,
    _props$isRenderFormCo = props.isRenderFormContent,
    isRenderFormContent = _props$isRenderFormCo === void 0 ? true : _props$isRenderFormCo,
    onValuesChange = props.onValuesChange,
    isMobileBool = props.isMobile;
  var _ref = filter || {},
    show = _ref.show,
    quickFilterMaxLength = _ref.quickFilterMaxLength,
    sortButtonShow = _ref.sortButtonShow,
    list = _ref.list;
  var _Form$useForm = Form.useForm(),
    _Form$useForm2 = _slicedToArray(_Form$useForm, 1),
    form = _Form$useForm2[0];
  var isShowQuickFilter = useMemo(function () {
    // 移动端 并且 开启filter按钮 并且 开启filter排序时 不显示快速筛选
    if (isMobileBool && show && sortButtonShow) {
      return false;
    }
    return true;
  }, [show, sortButtonShow, isMobileBool]);
  useEffect(function () {
    if (isRenderFormContent) {
      form.setFieldsValue({
        filter_setting: {
          notSortFilter: list
        }
      });
    }
  }, [isRenderFormContent, list]);
  var content = /*#__PURE__*/React.createElement(React.Fragment, null, isShowQuickFilter && /*#__PURE__*/React.createElement(Form.Item, {
    name: "filter_setting",
    noStyle: true
  }, /*#__PURE__*/React.createElement(QuickFilter, {
    formFiltersPrefix: isRenderFormContent ? "" : formFiltersPrefix
  })), show && sortButtonShow ? /*#__PURE__*/React.createElement(Form.Item, {
    name: "filter_setting",
    noStyle: true
  }, /*#__PURE__*/React.createElement(FilterButton, {
    formFiltersPrefix: formFiltersPrefix,
    quickFilterMaxLength: quickFilterMaxLength
  })) : null);
  if (!show) return null;
  if (isRenderFormContent) {
    return /*#__PURE__*/React.createElement(Form, {
      onValuesChange: onValuesChange,
      form: form,
      initialValues: {
        filter_setting: {
          notSortFilter: list
        }
      }
    }, content);
  }
  return content;
};
export default Filter;